## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.ChunkReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader

Direct Known Subclasses:
  StreamCharBuffer.AbstractChunkReader, StreamCharBuffer.AllocatedBufferReader

Enclosing class:
  StreamCharBuffer

    abstract static class StreamCharBuffer.ChunkReader

extends Object

Constructor Summary
`StreamCharBuffer.ChunkReader()`

Method Summary
`abstract int` `getReadLenLimit(int askedAmount)`
`abstract int` `getWriterUsedCounter()`
`abstract boolean` `isValid()`
`abstract StreamCharBuffer.ChunkReader` `next()`
`abstract int` `read(char[] ch, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamCharBuffer.ChunkReader

    StreamCharBuffer.ChunkReader()

Method Detail

### read

    public abstract int read(char[] ch,
                             int off,
                             int len)
                      throws IOException

  Throws:
    `IOException`

### getReadLenLimit

    public abstract int getReadLenLimit(int askedAmount)

### next

    public abstract StreamCharBuffer.ChunkReader next()

### getWriterUsedCounter

    public abstract int getWriterUsedCounter()

### isValid

    public abstract boolean isValid()

Copyright (c) 2005-2009 The Grails project